Bio::Tools::Run::PiseApplication::repeats(3)

NAME
Bio::Tools::Run::PiseApplication::repeats

SYNOPSIS
  #

DESCRIPTION
Bio::Tools::Run::PiseApplication::repeats

      Bioperl class for:

        repeats search repeats in DNA (G. Benson)

        References:

                A method for fast database search for all k-nucleotide repeats, by Gary Benson and Michael S. Waterman, Nucleic Acids Research (1994) Vol. 22, No. 22, pp 4828-4836.

      Parameters:

        (see also:
          http://bioweb.pasteur.fr/seqanal/interfaces/repeats.html
         for available values):

                repeats (String)

                seq (Sequence)
                        Sequence File

                alpha (Integer)
                        match bonus (input as positive) (Alpha)

                beta (Integer)
                        mismatch penalty (input as positive) (Beta)

                delta (Integer)
                        indel penalty  (Delta)

                reportmax (Integer)
                        Score to report an alignment (Reportmax)

                Size (Integer)
                        Pattern size (Size)

                lookcount (Integer)
                        Number of characters to match to trigger dynamic programming (Lookcount)

                noshortperiods (Switch)
                        Patterns with shorter periods are excluded ? (Noshortperiods)

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.bioperl.org/

AUTHOR
Catherine Letondal (letondal@pasteur.fr)

COPYRIGHT
Copyright (C) 2003 Institut Pasteur & Catherine Letondal. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

DISCLAIMER
This software is provided "as is" without warranty of any kind.

SEE ALSO

•   http://bioweb.pasteur.fr/seqanal/interfaces/repeats.html

•   Bio::Tools::Run::PiseApplication

•   Bio::Tools::Run::AnalysisFactory::Pise

•   Bio::Tools::Run::PiseJob

  new
 Title   : new()
 Usage   : my $repeats = Bio::Tools::Run::PiseApplication::repeats->new($location, $email, @params);
 Function: Creates a Bio::Tools::Run::PiseApplication::repeats object.
           This method should not be used directly, but rather by
           a Bio::Tools::Run::AnalysisFactory::Pise instance.
           my $factory = Bio::Tools::Run::AnalysisFactory::Pise->new();
           my $repeats = $factory->program('repeats');
 Example : -
 Returns : An instance of Bio::Tools::Run::PiseApplication::repeats.